Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.validator
Interface TimeStampValidator

All Known Implementing Classes:
  TimeStampValidatorImpl

    public interface TimeStampValidator

validator for the bouncy castle timestamp. Default impl : `TimeStampValidatorImpl` Factory : `TimeStampValidatorFactory`

Field Summary
`static String` | `ALIASLIST` Deprecated.
`static String` | `KEYSTORE` Key used by the `ConfigurableImplementation` to pass the keystore.

Method Summary
`void` | `setAliases(List<String> aliases)` Deprecated. aliases MUST be provided at constructor time, not at runtime.
`void` | `setKeyStore(KeyStore keyStore)` Deprecated. keystore MUST be provided at constructor time, not at runtime.
`void` | `validateTimeStampToken(byte[] bs, org.bouncycastle.tsp.TimeStampToken timeStampToken)` validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid
`void` | `validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken timeStampToken)` validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid

Field Detail

### ALIASLIST

    @Deprecated
    static final String ALIASLIST

  Deprecated.
  Key used by the `ConfigurableImplementation` to pass the aliaslist of the certificates.

  See Also:
    Constant Field Values

### KEYSTORE

    static final String KEYSTORE

  Key used by the `ConfigurableImplementation` to pass the keystore.

  See Also:
    Constant Field Values

Method Detail

### validateTimeStampToken

    void validateTimeStampToken(org.bouncycastle.tsp.TimeStampToken timeStampToken)
                                throws InvalidTimeStampException,
                                       TechnicalConnectorException

  validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid

  Parameters:
    `timeStampToken` - the `TimeStampToken`
  Throws:
    `InvalidTimeStampException` - if the timestamp was not valid
    `TechnicalConnectorException` - if another exception occured ( wrong config , ... )

### validateTimeStampToken

    void validateTimeStampToken(byte[] bs,
                                org.bouncycastle.tsp.TimeStampToken timeStampToken)
                                throws InvalidTimeStampException,
                                       TechnicalConnectorException

  validates the timestamp token. will throw `InvalidTimeStampException` if the timestamp is not valid

  Parameters:
    `timeStampToken` - the `TimeStampToken`
  Throws:
    `InvalidTimeStampException` - if the timestamp was not valid
    `TechnicalConnectorException` - if another exception occured ( wrong config , ... )

### setKeyStore

    @Deprecated
    void setKeyStore(KeyStore keyStore)

  Deprecated. keystore MUST be provided at constructor time, not at runtime.

  keystore must be set before using the validator.

  Parameters:
    `keyStore` -

### setAliases

    @Deprecated
    void setAliases(List<String> aliases)

  Deprecated. aliases MUST be provided at constructor time, not at runtime.

  aliases must be set before using the validator.

  Parameters:
    `aliases` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.